#include <iostream>
#include <iomanip>
#include <algorithm>
#include <cmath>
using namespace std;

int c=0;
int r=0;
int n;
int x[200020];
int main() {
    cin>>n;
    for(int i=1;i<=n;i++) cin>>x[i];
    sort(x+1,x+n+1);
    if(x[n]<0) {
        for(int i=1;i<=n;i++){
            if(x[i]+c<0){
            c++;
            r++;
            cout<<23;
            }
            else {
                cout<<r;
                return 0;
            }
    }
    }
    else if(x[1]>0){
        for(int i=1;i<=n;i++){
            if(x[i]-c>0){
            c+=2;
            r++;
            cout<<12;
            }
            else {
                cout<<r;
                return 0;
            }
        }

    }


cout<<r;




    return 0;
}